Page MenuHomeFreeBSD

New Port: sysutils/getssl
ClosedPublic

Authored by rainbow_purlinux.org on Feb 11 2018, 2:31 AM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dteske requested changes to this revision.Feb 13 2018, 12:29 AM

If you install portlint (/usr/ports/ports-mgmt/portlint) and run "portlint -a" you'll see a couple warnings that we should take care of.

First is that pkg-plist has a trailing newline.
Second is that pkg-plist has less than 6 items and thus it would be best to just put PLIST_FILES= bin/getssl into the port Makefile.

Make sure to put the PLIST_FILES line into Makefile above the RUN_DEPENDS line or you'll get the following from "portlint -a":

WARN: Makefile: "RUN_DEPENDS" has to appear earlier.
sysutils/getssl/pkg-plist
1 ↗(On Diff #39168)

Warning from "portlint -a":

WARN: /usr/ports/sysutils/getssl/pkg-plist: There are only 1 items in the plist.  Consider using PLIST_FILES instead of pkg-plist when installing less than 6 items.
2 ↗(On Diff #39168)

Warning from "portlint -a":

WARN: /usr/ports/sysutils/getssl/pkg-plist: [2]: empty line found in plist.
This revision now requires changes to proceed.Feb 13 2018, 12:29 AM

Remove pkg-plist and transfer contents to PLIST_FILES in the Makefile

This revision was not accepted when it landed; it landed in state Needs Review.Feb 16 2018, 4:54 AM
This revision was automatically updated to reflect the committed changes.